Page MenuHomePhabricator

[LLD] [MinGW] Ignore the --plugin and --plugin-opt options
ClosedPublic

Authored by mstorsjo on Jan 27 2019, 12:22 PM.

Diff Detail

Event Timeline

mstorsjo created this revision.Jan 27 2019, 12:22 PM
mstorsjo updated this revision to Diff 183775.Jan 27 2019, 2:14 PM
mstorsjo retitled this revision from [LLD] [MinGW] Ignore the --plugin option to [LLD] [MinGW] Ignore the --plugin and --plugin-opt options.
mstorsjo edited the summary of this revision. (Show Details)

Added --plugin-opt as well.

ruiu added inline comments.Jan 28 2019, 2:45 PM
MinGW/Options.td
71–74

I prefer not to name options if they are ignored. I mean you can define these options as shown below

def: S<"plugin">;
def: J<"plugin=">;
def: S<"plugin-opt">;
def: J<"plugin-opt=">;

and that clearly conveys the intention that they are ignored, because you don't have a way to refer them.

mstorsjo updated this revision to Diff 183967.Jan 28 2019, 3:05 PM
mstorsjo marked an inline comment as done.

Applied @ruiu's comments.

Or should I move them to another section entirely? (The rest of the surrounding ones do have names, but are ignored.)

ruiu accepted this revision.Jan 28 2019, 3:08 PM

LGTM

Yeah, I think I'd move them to the end of the file.

This revision is now accepted and ready to land.Jan 28 2019, 3:08 PM
This revision was automatically updated to reflect the committed changes.
mstorsjo added a subscriber: hans.Jan 29 2019, 12:43 AM

@hans - Can we cherrypick this one to the 8.0 release branch? A user requested it, as it would allow using LLD with GCC for MinGW.